wifi.setmode(wifi.SOFTAP)

cfg={}
cfg.ssid="mywifi"
cfg.pwd="qwerty123"

cfg.ip="192.168.0.1"
cfg.netmask="255.255.255.0"
cfg.gateway="192.168.0.1"

port = 9876

wifi.ap.setip(cfg)
wifi.ap.config(cfg)

print("ESP8266 TCP to Serial Bridge v1.0 by RoboRemo")
print("SSID: " .. cfg.ssid .. "  PASS: " .. cfg.pwd)
print("RoboRemo app must connect to " .. cfg.ip .. ":" .. port)
print("BaudRate will change now to 115200")

tmr.alarm(0,200,0,function() -- run after a delay

    uart.setup(0, 115200, 8, 0, 1, 1)

    srv=net.createServer(net.TCP, 28800) 
    srv:listen(port,function(conn)
     
        uart.on("data", 0, function(data)
            conn:send(data)
        end, 0)
        
        conn:on("receive",function(conn,payload) 
            uart.write(0, payload)
        end)  
        
        conn:on("disconnection",function(c) 
            uart.on("data")
        end)
        
    end)
end)

